package mr.jar.graou74;

import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.control.Label;
import javafx.scene.layout.StackPane;
import javafx.stage.Stage;
import static java.lang.String.format;

public class MyTestApplication extends Application  {

    @Override
    public void start(@SuppressWarnings( "exports" ) Stage stage) {
    	com.sun.javafx.stage.StageHelper.getStageAccessor();
        String javaVersion = System.getProperty("java.version");
        String javafxVersion = System.getProperty("javafx.version");
        final var randomPerson = getParameters( ).getRaw( ).get( 0 );
		String label = format( "Hello, %s, from JavaFX %s, running on Java %s with mrJar v0.0.16.", randomPerson, javafxVersion, javaVersion ).toString( );
        Label l = new Label( label );
        Scene scene = new Scene(new StackPane(l), 640, 480);
        stage.setScene(scene);
        stage.show();
    }

    public static void main(String[] args) {
		 launch(args);
    }

}